<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<!-- semantic tags - definitive and descriptive 
			em, strong - are considered as semantics
			-->
	<h2 align="center">Welcome to the Forms Page</h2>
	<main>
		<!-- used to show main content -->
		<section>
			<!-- used to show parts of a content -->
			<h3>HTML FORMS</h3>
			<p>
				gather info from user and send info to the server.
			</p>
		</section>
		<section>
			<!-- 
			form tags create a form 
			
			action - where the info will be passed
			
			label - creates text element that serves as label for the input
			
			for attr - when clicked, cursor will be moved into input. katambal ni for si id.

			input tag - allows to create input

			type attr -  input element, allows to identify what kind of info is to be gathered.

			name attr- name.identifier of the value of an input in a form data

			id attr -reference

			required - wont submit if not completed

			autocomplete - provides suggestions. allows better user experience
			
			value attr - provide option

			radio attr - allows user to select 1 value

			name attr in radio should be the same to allows 1 value to be stored
			-->
			<form action="#">
			<!-- name text -->
				<label for="fname">First Name:</label>
				<br>
				<input type="text" id="fname" name="fisrtName" placeholder="Name mo po?"  required autocomplete>
			<!-- date -->
				<br>
				<label for="bday">Birthdate:</label>
				<br>
				<input type="date" name="bdate" id="bday" required>
			<!-- number min and max -->
				<br>
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="60" required>

				<br>
				<label for="genderInput">Gender:</label>
				<br>
				<select name="gender" id="genderInput">
					<option value="male">Male</option>
				
					<option value="female">Female</option>

					<option value="Not to mention">Not to Mention</option>
				</select>

				<br>
				<label>New User</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>

				<br>
				<label>Roles:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1"	value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput2"	value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput3"	value="manager">
				<label for="roleInput3">Manager</label>
			
				<br>
				<label for="messageInput">Message:</label>
				<br>
				<textarea name="message" rows="4" id="messageInput">
					
				</textarea>
				<br>
				<button type="submit">Submit</button>

			</form>


		</section>

	</main>





</body>
</html>


